Android のセキュリティに関する公開情報 - 2022 年 8 月

2022 年 8 月 1 日公開 | 2022 年 8 月 3 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2022-08-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。 Android オープンソース プロジェクト(AOSP)のリポジトリに、以下の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで発見された重大なセキュリティの脆弱性です。追加の実行権限がなくても、Bluetooth 経由でリモートからコードが実行されるおそれがあります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームGoogle Play プロテクトのようなサービスによる保護でリスクを軽減する手段について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android プラットフォームの最新バージョンでの機能強化により、Android 上の多くの問題の悪用が困難になります。すべてのユーザーに対し、できる限り最新バージョンの Android にアップデートすることをおすすめします。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2022-08-01 の脆弱性の詳細

以下に、パッチレベル 2022-08-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

このセクションの最も重大な脆弱性により、追加の実行権限を必要とすることなく、ローカルで権限が昇格されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-39696 A-185810717 EoP 10、11、12
CVE-2022-20344 A-232541124 EoP 10、11、12、12L
CVE-2022-20348 A-228315529 EoP 10、11、12、12L
CVE-2022-20349 A-228315522 EoP 10、11、12、12L
CVE-2022-20356 A-215003903 EoP 11、12、12L
CVE-2022-20350 A-228178437 [2] ID 10、11、12、12L
CVE-2022-20352 A-222473855 ID 12、12L
CVE-2022-20357 A-214999987 ID 12、12L
CVE-2022-20358 A-203229608 ID 10、11、12、12L

メディア フレームワーク

システムの最も重大な脆弱性により、追加の実行権限を必要とすることなく、リモートで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20346 A-230493653 ID 10、11、12、12L
CVE-2022-20353 A-221041256 [2] [3] ID 10、11、12、12L

システム

システムの最も重大な脆弱性により、追加の実行権限を必要とすることなく、Bluetooth 経由でリモートからコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20345 A-230494481 RCE 重大 12、12L
CVE-2022-20347 A-228450811 EoP 10、11、12、12L
CVE-2022-20354 A-219546241 EoP 11、12、12L
CVE-2022-20360 A-228314987 EoP 10、11、12、12L
CVE-2022-20361 A-231161832 EoP 10、11、12、12L
CVE-2022-20355 A-219498290 [2] DoS 10、11、12、12L

Google Play システム アップデート

プロジェクト Mainline のコンポーネントには次の問題が含まれています。

コンポーネント CVE
メディア フレームワーク コンポーネント CVE-2022-20346

セキュリティ パッチレベル 2022-08-05 の脆弱性の詳細

以下に、パッチレベル 2022-08-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。

カーネル コンポーネント

フレームワークの脆弱性により、ユーザー実行権限を必要として、ローカルで権限を昇格されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2022-1786 A-233078742
アップストリーム カーネル
EoP ファイルシステム(fs)

Imagination Technologies

これらの脆弱性は Imagination Technologies コンポーネントに影響を与えます。詳細については Imagination Technologies から直接入手できます。 これらの問題の重大度の評価は、Imagination Technologies から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-0698
A-236848165* PowerVR-GPU
CVE-2021-0887
A-236848817* PowerVR-GPU
CVE-2021-0891 A-236849490* PowerVR-GPU
CVE-2021-0946
A-236846966* PowerVR-GPU
CVE-2021-0947
A-236838960* PowerVR-GPU
CVE-2021-39815 A-232440670* PowerVR-GPU
CVE-2022-20122 A-232441339* PowerVR-GPU

MediaTek コンポーネント

この脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。 この問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2022-20082 A-231271467
M-ALPS07044730*
GPU

Unisoc コンポーネント

この脆弱性は Unisoc コンポーネントに影響を与えます。詳細については Unisoc から直接入手できます。この問題の重大度の評価は、Unisoc から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2022-20239 A-233972091
U-1883877*
VSP

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。この問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2022-22080
A-231156274
QC-CR#2898981
音声

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。ここに示す問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-30259 A-187074564* クローズドソース コンポーネント
CVE-2022-22059 A-231156126* クローズドソース コンポーネント
CVE-2022-22061 A-218338332* クローズドソース コンポーネント
CVE-2022-22062
A-218338070* クローズドソース コンポーネント
CVE-2022-22067 A-218338889* クローズドソース コンポーネント
CVE-2022-22069 A-218339148* クローズドソース コンポーネント
CVE-2022-22070 A-218338870* クローズドソース コンポーネント
CVE-2022-25668 A-231156523* クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2022-08-01 以降では、セキュリティ パッチレベル 2022-08-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2022-08-05 以降では、セキュリティ パッチレベル 2022-08-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2022-08-01]
  • [ro.build.version.security_patch]:[2022-08-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2022-08-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを扱っています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2022-08-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それより前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2022-08-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれより前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されます。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照 mValue が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Google Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Google Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2022 年 8 月 1 日 情報公開
1.1 2022 年 8 月 3 日 公開情報を改訂し AOSP リンクを追加